thickness = 3;
baseJoinDepth = 15;
toPrint = true;

if(toPrint){
    projection(cut=true)AllToPrint();
} else {
    AllToPrint();
}

module AllToPrint(){
    Element(6, 25, 0.25);
    translate([60,0,0])
    Element(6, 25, 0.30);
    translate([120,0,0])
    Element(6, 25, 0.35);
    translate([180,0,0])
    Element(6, 25, 0.40);
}

//base module for elements 
module Element(noSides, apothem, kerf){
    difference() {
        Polygon(noSides, apothem, kerf);
        rotate([0,0,180/noSlides])
        translate([0,0, -thickness/2])
        Joints(360/noSides, noSides, thickness, apothem, kerf);
    }
}

//base module for a set of joints
module Joints(angle, noSides, thickness, apothem, kerf){
    for(i=[0:noSides-1]){
        rotate([0,0,angle*i+angle/2])
        translate([(apothem+kerf) - (baseJoinDepth-kerf)/4,0,thickness])
        Joint(kerf);
    }
}

//base module for a single joint
module Joint(kerf) {
    cube([(baseJoinDepth-kerf)/2, thickness-kerf, thickness],center=true);
}

//base module for polygon objects
module Polygon(noSides, apothem, kerf){ 
    angle=360/noSides;
    radius= apothem/cos(angle/2);
    cylinder(r=(radius+kerf), h=thickness, $fn=noSides);
       
}