#include <WiFi.h>
#include <stdio.h>
#include <string.h>

// const String strId = "DARK";
const String strId = "BUZZ,IF,DARK";

const char* ssid = "SSID";
const char* pass = "PASS"; 
const char* host = ""192.168.224.194";   

void setup() {
  Serial.begin(115200); 
  delay(10);
  
  Serial.println();
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);

  WiFi.begin(ssid, pass);

  while (WiFi.status() != WL_CONNECTED) {
      delay(500);
      Serial.print(".");
  }

  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());             
}

void loop () {
  delay(5000);

  Serial.print("Connecting to ");
  Serial.println(host);
  
  WiFiClient client;
    const int httpPort = 80;
    if (!client.connect(host, httpPort)) {
        Serial.println("Connection failed");
        return;
    }

    client.print(strId);
    
    unsigned long timeout = millis();
    while (client.available() == 0) {
        if (millis() - timeout > 5000) {
            Serial.println(">>> Client Timeout !");
            client.stop();
            return;
        }
    }
}
