#include <Adafruit_NeoPixel.h>

#define BUILTIN_LED 13 
#define BUZZ_PIN 14
#define RGB_PIN 26

// number of pixels in NeoPixel strip
#define LED_COUNT 3
// declare NeoPixel strip object
Adafruit_NeoPixel strip(LED_COUNT, RGB_PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  pinMode(BUILTIN_LED, OUTPUT); 
  pinMode(BUZZ_PIN, OUTPUT);
  strip.begin();           // initialize NeoPixel strip object 
  strip.show();            // turn off all pixels 
  strip.setBrightness(50); // set brightness to 50 (max = 255)
}

void loop() {
  digitalWrite(BUZZ_PIN, HIGH);   
  delay(1000);                       
  digitalWrite(BUZZ_PIN, LOW);    
  delay(1000);

  colorWipe(strip.Color(255, 0, 0), 50); // red
  colorWipe(strip.Color(0, 255, 0), 50); // green
  colorWipe(strip.Color(0, 0, 255), 50); // blue

  digitalWrite(BUZZ_PIN, HIGH);   
  delay(1000);                       
  digitalWrite(BUZZ_PIN, LOW);    
  delay(1000);
  
  rainbow(10);

  digitalWrite(BUZZ_PIN, HIGH);   
  delay(1000);                       
  digitalWrite(BUZZ_PIN, LOW);    
  delay(1000);

  theaterChase(strip.Color(127, 127, 127), 50); //white, theater chase effect
            
  digitalWrite(BUILTIN_LED, LOW);   
  delay(1000);                     
  digitalWrite(BUILTIN_LED, HIGH);  
  delay(1000);  
}

void colorWipe(uint32_t color, int wait) {
  for(int i=0; i<strip.numPixels(); i++) { 
    strip.setPixelColor(i, color);         
    strip.show();                          
    delay(wait);                          
  }
}

void theaterChase(uint32_t color, int wait) {
  for(int a=0; a<10; a++) {  
    for(int b=0; b<3; b++) { 
      strip.clear();         
      for(int c=b; c<strip.numPixels(); c += 3) {
        strip.setPixelColor(c, color); 
      }
      strip.show(); 
      delay(wait);  
    }
  }
}

void rainbow(int wait) {
  for(long firstPixelHue = 0; firstPixelHue < 5*65536; firstPixelHue += 256) {
    for(int i=0; i<strip.numPixels(); i++) { // For each pixel in strip...
      int pixelHue = firstPixelHue + (i * 65536L / strip.numPixels());
      strip.setPixelColor(i, strip.gamma32(strip.ColorHSV(pixelHue)));
    }
    strip.show(); 
    delay(wait);  
  }
}
