int ldr = 0;
int b = 2;
int r = 3;
int g = 4;
int y = 5;

void setup()
{
    pinMode(y, OUTPUT);
    pinMode(r, OUTPUT);
    pinMode(g, OUTPUT);
    pinMode(b, OUTPUT);
    pinMode(ldr, INPUT);
    Serial.begin(112500);
}

void loop()
{  
    allOff();
    delay(200);
    check();
}

void check()
{
    delay(500);
    double ambient = analogRead(ldr);
    
    digitalWrite(g, HIGH);
    delay(200);
    double green = analogRead(ldr);
    Serial.print("Green: ");
    Serial.println(green * 1.0);
    digitalWrite(g, LOW);
    delay(200);
    
    digitalWrite(r, HIGH);
    delay(200);
    double red = analogRead(ldr);
    Serial.print("Red: ");
    Serial.println(red * 1.0);
    digitalWrite(r, LOW);
    delay(200);
    
    digitalWrite(b, HIGH);
    delay(200);
    double blue = analogRead(ldr);
    Serial.print("Blue: ");
    Serial.println(blue * 1.0);
    digitalWrite(b, LOW);
    delay(200);
    
    digitalWrite(y, HIGH);
    delay(200);
    double yellow = analogRead(ldr);
    Serial.print("Yellow: ");
    Serial.println(yellow * 1.17);
    digitalWrite(y, LOW);
    delay(200);
    
    double rawData[] = {(green * 1.0), (red * 1.0), (blue * 1.0), (yellow * 1.17)};
    double maximum = ambient * 1.0;
    int color;
    
    for (int i = 0; i < 4; i++)  
    {
        if (maximum < rawData[i])
        {
            maximum = rawData[i];
            color = i+1;
        }
    } 
      
    Serial.println("");
    
    if (color == 0)
    {
        Serial.println("No object detected.");
        allOn();
        delay(1000);
        allOff();
    }
    else if (color == 1)
    {
        Serial.println("Green!");
        pulse(g);
    }
    else if (color == 2)
    {
        Serial.println("Red!");
        pulse(r);
    }
    else if (color == 3)
    {
        Serial.println("Blue!");
        pulse(b);
    }
    else if (color == 4)
    {
        Serial.println("Yellow!");
        pulse(y);
    }
    Serial.println("");
}

void pulse(int colour)
{
    for(int i = 0; i < 3; i++)
    {
        digitalWrite(colour, HIGH);
        delay(1000);
        digitalWrite(colour, LOW);
        delay(1000);
    }
}
void allOff()
{
    digitalWrite(y, LOW);
    digitalWrite(r, LOW);
    digitalWrite(g, LOW);
    digitalWrite(b, LOW);
}
void allOn()
{
    digitalWrite(y, HIGH);
    digitalWrite(r, HIGH);
    digitalWrite(g, HIGH);
    digitalWrite(b, HIGH);
}
