#include <DHT.h>
#include <NewPing.h>

#define BUILTIN_LED 13 
#define TRIGGER_PIN 32
#define ECHO_PIN 35
#define DHT_PIN 33
#define LDR_PIN 34

int ldrValue;
float tempValue;
float humValue;
unsigned int uS; 
float distance;

NewPing sonar(TRIGGER_PIN, ECHO_PIN, 200);
#define DHTTYPE DHT11 
DHT dht(DHT_PIN, DHTTYPE);

void setup() {
  pinMode(BUILTIN_LED, OUTPUT); 
  Serial.begin(115200);
  dht.begin();
}

void loop() {
    
  delay(2000);

  ldrValue = analogRead(LDR_PIN); 
  humValue = dht.readHumidity();
  tempValue = dht.readTemperature();
  
  uS = sonar.ping();
  distance = uS / US_ROUNDTRIP_CM;
  
  Serial.print("Distance: ");
  Serial.print(distance); 
  Serial.print("cm");
  Serial.print(" \n"); 
  Serial.print("LDR: ");
  Serial.print(ldrValue); 
  Serial.print(" \n"); 
  Serial.print(F("Humidity: "));
  Serial.print(humValue);
  Serial.print(" \n"); 
  Serial.print(F("Temperature: "));
  Serial.print(tempValue);
  Serial.print("°C");
  Serial.println(" \n");

  digitalWrite(BUILTIN_LED, LOW);   
  delay(1000);                     
  digitalWrite(BUILTIN_LED, HIGH);  
  delay(1000); 
}
