---
layout: assignment
title: Principles And Practices
thumb: 01.png
assignment: plan and sketch a potential Final Project.
active: 1
---

<p class="font-italic font-weight-bold">* I separated 2 assignments of this week in order to avoid talking about too many things in a post. Please go 
<a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-01-2-project-management.html">here</a> to see the second part of the assignment.</p>
<p class="font-italic font-weight-bold">* I used <a href="https://www.apple.com/keynote/">Keynote</a> to sketch my ideas. It may sound weird but I'm not really comfortable with my handwriting and drawings. And it's quite easy, I just need to search for images online, and draw some lines or rectangles to quickly (and nicely) demonstrate what's on my mind.</p>

I have 2 nephews, one is 6 years old and one is 4 years old. As a dedicated aunt, I've always wanted to build or develop some toys that could engage them in STEAM activities, so when they grow up they will be more than well-prepared to adapt to future jobs. That's why I was pretty sure that my Final Project should be a connected toy, and I came up with some below <strong>INITIAL</strong> ideas.
<p></p>

<h2 id="duolor">#1. A duo of color picking and color mixing</h2>
<p></p>
<h5>What will they do?</h5>
I intend to make a duo of 2 devices: 1 color picker that can detect RGB code from real-life objects, convert them to CMYK and send that information to the color mixer in order to generate the desired shade.
<img src="{{site.baseurl}}/assets/img/assignments/week-01/idea-2.png" class="img-fluid w-100"/>
<h5>Nice-to-have add-ons</h5>
It would be nice if I can (and have enough time to) make the mobile app take pictures and detect colors (RGB, CMYK or HEX) from them.
<p></p>
<h5>Who will use them?</h5>
<ul>
<li>Kids can use the generated color to paint any object they like.</li>
<li>Adults can also use the duo. The generated (edible) pigment can be mixed later with a white/transparent base - for example, lip balm - to make DIY cosmetic.</li>
</ul>
<p></p>
<h5>Who has done this before?</h5>
I actually felt less panic with this idea than the other one, because I could find many online projects solving each part of this system (<a href="https://create.arduino.cc/projecthub/mjrobot/arduino-color-detection-57e4ce?ref=tag&ref_id=color-detector&offset=0">this color detector</a> and <a href="https://www.instructables.com/id/MESOMIX-Automated-Paint-Mixing-Machine/">this paint mixing machine</a>). I also found some related projects on Kickstarter:
<ul>
<li><a href="https://www.kickstarter.com/projects/picolor/picolor-any-color-anywhere-anytime">Picolor</a></li>
<li><a href="https://www.kickstarter.com/projects/nixsensor/nix-color-sensor/posts">Nix Sensor</a></li>
</ul>
<p></p>

<h2 id="idea">#2. A modular robot to teach kids how to make (almost) anything</h2>
<p></p>
<h5>What will it do?</h5>
<p>For this 2nd idea, I intend to make an off-the-screen and modular robot that kids can customize in order to learn basic ideas of programming and robotics. This concept is not new, in fact, it has a long history with many innovative approaches. Even though, the new value I'd like to contribute is how kids can develop a <strong>DEBUG</strong> mindset. My robot should be able to inform kids (or parents) whether each step is successful or there is an error.</p>
<h6 id="final">Initial sketch</h6> 
<p>There will be 3 groups of blocks: Input, Logic, Output. Kids will need at least one block of each group to perform the desired task. I want the robot to symbolize a cute and modular animal, then my nephews and even my friends said they want to see an Asian dragon, because "You're Asian!" and "Dragons are cool, they have powerrrrrrrr!". Hence, here is a sketch of a dragon with customized powers that can be defined by kids through a trial-and-error process:</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-01/idea-1.png" class="img-fluid w-100"/>
<p></p>
<h6>Second iteration</h6>
<p>I had a nice brainstorming session with my classmate David Prieto, and he suggested me to use only 3 segments: 1 includes all inputs, 1 includes all logics, and 1 includes all outputs. Each segment will have a rotating dial/knob for kids to turn independently in order to choose a symbol they like. This can help me to reduce the workload of making too many pieces of cubes.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-01/idea.jpg" class="img-fluid w-100"/>
<p>Another option was to make 3 segments as 3 (hexagon) cylinders twisted around an internal pivot (like the mechanism of a Rubik), each segment will have up to 4-6 faces, and each face will have the symbol of a single sensor/logic/actuator. 3 segments will make up to 4-6 combinations of input/logic/output, and each combination will represent a behavior. So, the dragon will have a series of 4-6 behaviors made from randomly combined faces when kids twist the segments.</p>
<p></p>
<h5>Nice-to-have add-ons</h5>
It would be nice if I can (and have enough time to) make the mobile app connect to a <a href="https://scratch.mit.edu/">Scratch</a> account and execute further complicated tasks with logics inside logics.
<p></p>
<h5>Who will use it?</h5>
Kids 4-7 years old. If the mobile/tablet application is available, kids up to 12 years old are welcomed.
<p></p>
<h5>Who has done this before?</h5>
<p>I found some STEAM toys (which are quite successful) with a similar idea, so I think my dragon would be useful and loved by my nephews!</p>
<ul>
<li><a href="https://www.youtube.com/watch?v=3d4zXauy6EM">Code-a-pillar</a></li>
<li><a href="https://www.youtube.com/watch?v=BtB8UT60VN8">Cubelets</a></li>
<li><a href="https://www.youtube.com/watch?v=lvTCy0R3fHc">The IFs</a></li>
<li><a href="https://www.youtube.com/watch?v=iyya8eOCKqg">Matatalab</a></li>
</ul>
<p></p>

<h2>Final decision</h2>
<p>After having a discussion with our instructors Santiago Fuentemilla and Xavier Dominguez in the 4th week, I decided to go ahead with the <strong>MODULAR ROBOT.</strong> The twist-able segments can complicate my process of designing and programming the electronic parts of the prototype. Hence, in order to make my life easier, Santi suggested me to go with the <a href="#final"><strong>FIRST</strong></a> sketch. In addition, the younger kids won't be confused with the simple plug-and-play workflow.</p>
<p>Santi and Xavi also introduced some cool projects related to my idea:</p>
<ul>
<li><a href="http://archive.fabacademy.org/archives/2017/fablabamsterdam/students/60/finalprojectpage.html">Self-built IoT devices</a> from LEGO bricks</li>
<li><a href="http://archive.fabacademy.org/fabacademy2017/fablabbcn/students/74/finalproject.html">DIS/ORDER modular circuit</a> for learning electronics</li>
<li><a href="https://www.youtube.com/watch?v=FTpNI4NCvXA">Makeblock Inventor Kit</a> with the amazing idea about connecting blocks using pogo pins</li>
</ul>
<p>We all agreed that what makes my idea different from other learning toy projects is the debugging process and the Logic blocks. We also thought that being hung up on sensors and actuators will both distract me from making an almost-there prototype and distract the kids from trying out as many programming concepts as possible. Hence, my MVP for Fab Academy will have <strong>1 Input block, 1 Output block, and at least 2 Logic blocks</strong>. I'm also thinking about how to resemble <strong>functions</strong> with those blocks, maybe a <strong>Call</strong> output and a <strong>Being Called</strong> input?</p>
<p></p>

<div class="container w-100 text-center py-4">
<a class="btn btn-inactive m-2 " href="#">Previous Assignment</a>
<a class="btn m-2 " href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-01-2-project-management.html">Next Assignment</a>
</div>