---
layout: assignment
title: Applications And Implications
thumb: 11.jpg
assignment: answer key questions regarding the Final Project. 
active: 1
---

<p>Due to the COVID-19 lockdown, we have a whole month to work from home and to me, life became less hectic. Finally, I could sit down and make a plan of what to do for my <a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/final-project.html">Final Project</a>. This week's assignment seems to be useful, since I could write down some crucial questions and see where will my Final Project go.</p>

<h2>Concept</h2>
<h5>What will my Final Project do?</h5>
<p>My idea is to create an off-the-screen and modular robot with customizable behaviors that can give preschoolers the basic ideas of programming and robotics. There will be 3 groups of blocks: <strong>Input, Logic, Output</strong>. Kids will need at least one block of each group to perform the desired task. I want the robot to symbolize a cool and modular animal, hence, I sketched here a dragon with customized habits that can be defined by kids through a trial-and-error process:</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-01/fp-1.png" class="img-fluid w-100"/>
<p></p>
<p>My MVP for Fab Academy will have <strong>2 Input blocks</strong> (including <i>Proximity</i> and <i>Dark</i>), <strong>2 Output blocks</strong> (including <i>Move Forward</i> and <i>Flashlight</i>), and at least <strong>2 Logic blocks</strong> (including <i>If</i> and <i>Until</i>). It would be nice if I could have enough time to build more blocks and a <strong>mobile/web app</strong> which is connected to a <a href="https://scratch.mit.edu/">Scratch</a> account and is able to execute further complicated tasks.</p>
<p>The below pictures show how I'm planning to connect the block physically and electrically:</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-01/fp-2.png" class="img-fluid w-100"/>
<p></p>
<p>And how I'm planning to exchange and process data between them:</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-01/fp-3.png" class="img-fluid w-100"/>
<p></p>
<h5>Who has done this idea before?</h5>
<p>I found some STEAM toys (which are quite successful) with a similar idea:</p>
<ul>
<li><a href="https://www.youtube.com/watch?v=3d4zXauy6EM">Code-a-pillar</a></li>
<li><a href="https://www.youtube.com/watch?v=BtB8UT60VN8">Cubelets</a></li>
<li><a href="https://www.youtube.com/watch?v=lvTCy0R3fHc">The IFs</a></li>
<li><a href="https://www.youtube.com/watch?v=iyya8eOCKqg">Matatalab</a></li>
</ul>
<p>Some cool projects by the alumni of Fab Academy and MIT's CBA that are related to my idea:</p>
<ul>
<li><a href="http://archive.fabacademy.org/archives/2017/fablabamsterdam/students/60/finalprojectpage.html">Self-built IoT devices from LEGO bricks</a></li>
<li><a href="http://archive.fabacademy.org/fabacademy2017/fablabbcn/students/74/finalproject.html">DIS/ORDER modular circuit</a></li>
<li><a href="http://fab.cba.mit.edu/classes/865.18/discrete/micro/solder_cubes.pdf">Soldercubes self-soldering modular robot</a></li>
<li><a href="http://fab.academany.org/2018/labs/fablabamsterdam/students/johanna-nordin/final%20project.html">Interactive cardboard cubes</a></li>
</ul>
<p></p>
<h5>What makes my Final Project different?</h5>
<ul>
<li><strong>The Debugging process:</strong> After immersing myself into technology for a while, I realized the most crucial skill kids need to develop is a <strong>debug</strong> mindset. My robot should be able to inform kids (or parents) whether each step is successful or there is an error at some point via an LCD screen, a buzzer or colorful LEDs.</li>
<li><strong>The Logic blocks:</strong> Other toys usually simplify the Input-Output relationship with a default If-Then logic. I'd like to invest further in different types of programming concepts. They could be other <strong>flow controls</strong> (while, for, iteration loop) or <strong>operators</strong> (and, or, greater than, less than, equal).</li>
<li><strong>An Object-Oriented approach:</strong> I'm thinking about how to resemble a <strong>function</strong> with those blocks, maybe with a <strong>Call</strong> output and a <strong>Being Called</strong> input. This could be something very interesting since my dragon could be considered as an <strong>object</strong> and would be able to perform <strong>communication</strong>.</li>
</ul>
<p></p>

<h2>Project development plan</h2>
<h5>What will I design?</h5>
<p>The design tasks of my Final Project will be divided into 3 parts. The first step will be designing the electronics parts of my project. After making all the electronics parts work perfectly, I can move on to 3D modeling my MVP. Then if I have enough time, I will continue to work on a user interface.</p>
<ul>
<li><strong>Electronics:</strong> I plan to have a central micro-controller that will manipulate all the input and output devices of my Final Project. Hence, I will design 3 PCBs: an ESP32 compatible main control board, a multi-sensor shield, and a multi-actuator shield. There will also be simple ESP8266 boards included in blocks, simply holding texts referring to their IDs.</li>
<li><strong>Housing:</strong> I will design the dragon itself (its head and tail) and the above-mentioned blocks (<i>Proximity</i>, <i>Move Back</i>, <i>Dark</i>, <i>Flashlight</i>, <i>If</i>, and <i>Until</i>). As for the body of the dragon and the blocks, I plan to use Fusion 360 in order to design them parametrically and enhance accuracy. The low-poly head and tail of the dragon could be designed in Blender.</li>
<li><strong>Interface:</strong> I'm thinking about designing a mobile/web interface with which users can monitor the activities of each element of the robot. The mobile/web interface should be accessible through a web browser/Android emulator. It would be nice if users can modify threshold values of sensors, motors' speed and direction, etc. This part is totally optional.</li>
</ul>
<p></p>

<h5>What parts and systems will be made?</h5>
<p><strong>Parts that I will make:</strong> the ESP32 compatible main control board, the ESP8266 boards within blocks, the FTDI programming chip, the multi-sensor shield, the multi-actuator shield, the dragon's body and the blocks, and the mobile/web interface (optional).</p>
<p><strong>Parts that I will buy instead:</strong> connectors between PCBs, external power supply, sensors (HR-SC04 ultrasonic sensor, LDR/photoresistor, DHT11 temperature/humidity sensor) and actuators (RGB LED strip, mini DC/servo motors with gears and wheels, active buzzer).</p>
<p></p>

<h5>What processes will be used?</h5>
<p>For the electronic parts, I will use <strong>KiCad</strong> to design the schema and PCB layouts, <strong>Fab Modules</strong> to generate toolpaths, and the <strong>Roland SRM-20</strong> machine to mill the boards. I will program the boards with <strong>Arduino IDE</strong> or <strong>PlatformIO</strong>. For the blocks, I will design with <strong>Fusion 360</strong> and laser-cut them using the <strong>TROTEC Speedy 400</strong> machine. For the 3D printing parts, I plan to use <strong>Fusion 360</strong> and <strong>Blender</strong> to design them, and they will be printed using <strong>Creality CR-10</strong> or <strong>Prusa i3</strong> printer.</p>
<p></p>

<p>My weekly schedule starting from the 9th week:</p>
<p></p>
<div style="overflow-x: auto;">
<table class="table">
<thead class="thead-light">
<tr>
<th scope="col">Final Project requirement</th>
<th scope="col">Final Project scope</th>
<th scope="col">Process</th>
<th scope="col">CAD/EDA software</th>
<th scope="col">CAM software</th>
<th scope="col">Programming IDE</th>
<th scope="col">Machine</th>
<th scope="col">Material</th>
<th scope="col">Timeline</th>
</tr>
</thead>
<tbody>
<tr>
<th scope="row">Subtractive fabrication</th>
<td>Press-fit blocks</td>
<td>Laser-cutting</td>
<td><a href="https://www.autodesk.com/products/fusion-360/overview">Fusion 360</a></td>
<td><a href="https://www.rhino3d.com/">Rhino</a> + <a href="https://www.troteclaser.com/en/laser-machines/laser-software/jobcontrol/">TROTEC JobControl</a></td>
<td>N/A</td>
<td><a href="https://www.troteclaser.com/es/maquinas-laser/grabadora-laser-speedy/">Trotec Speedy 400</a></td>
<td>Acrylic 4mm</td>
<td>Week 15-18</td>
</tr>
<tr>
<th scope="row">Additive fabrication</th>
<td>Dragon's head, tail, and adapters</td>
<td>FDM 3D printing</td>
<td><a href="https://www.autodesk.com/products/fusion-360/overview">Fusion 360</a> + <a href="https://www.blender.org/">Blender</a></td>
<td><a href="https://ultimaker.com/software/ultimaker-cura">Ultimaker Cura</a></td>
<td>N/A</td>
<td><a href="https://www.creality3d.shop/products/creality-cr-10s-s5-3d-printer-diy-kit-large-printing-size-500x500x500mm">Creality CR-10 S5</a>/ <a href="https://shop.prusa3d.com/en/51-original-prusa-i3-mk3s">Prusa i3 MK3S</a></td>
<td>PLA 1.75mm</td>
<td>Week 15-18</td>
</tr>
<tr>
<th scope="row">Electronics design & production</th>
<td>Micro-controller boards, multi-sensor/actuator shields</td>
<td>PCB milling & soldering</td>
<td><a href="https://kicad-pcb.org/download/osx/">KiCad</a></td>
<td><a href="http://fabmodules.org/">Fab Modules</a></td>
<td>N/A</td>
<td><a href="https://www.rolanddga.com/es/productos/3d/srm-20-fresadora-compacta">Roland MonoFab SRM-20</a></td>
<td>PCB 50 x 70 x 1.6mm</td>
<td>Week 9-13</td>
</tr>
<tr>
<th scope="row">Embedded micro-controller programming</th>
<td>Micro-controller boards, mobile/web interface</td>
<td>Embedded programming</td>
<td>N/A</td>
<td>N/A</td>
<td><a href="https://www.arduino.cc/en/main/software">Arduino IDE</a>/ <a href="https://docs.platformio.org/en/latest/what-is-platformio.html">PlatformIO</a></td>
<td>N/A</td>
<td>N/A</td>
<td>Week 13-16</td>
</tr>
</tbody>
</table>
</div>
<p></p>

<h2>Bill of materials (BOM)</h2>
<h5>What materials and components will be used?</h5>
<p>For the blocks, I will use plywood 4mm or cast acrylic 3mm. For the 3D printing parts, I plan to use PLA 1.75mm. For the PCBs, I will use one-sided copper PCB 50 x 70 x 1.6mm available at Fab Lab Barcelona.</p>
<p>I plan to use the ESP32 chip as the central micro-controller for a couple of reasons:</p>
<ul>
<li>I can program the ESP32 chip without using an external ISP. ESP32 chips can be programmed in many developing environments and programming frameworks (Arduino, ESP-IDF), and they are also compatible with Arduino IDE. My <a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-08-embedded-programming.html#group">previous experience</a> with the Barduino ESP32 board was really comfortable.</li>
<li>The ESP32/ESP8266 chips can communicate with each other via Wifi without an extra Wifi module. In fact, most of the Arduino boards' Wifi modules I know are using ESP32 or ESP8266 chips.</li>
<li>I think the ESP32 chip is really powerful. It has a lot of memory, many GPIO pins and many ADC channels. It also supports a wide range of serial communication protocols. I may not be able to leverage its full potential, but I don't want to try other families without understanding their limitations. ESP32 might be redundant, but secure.</li>
<li>Finally, our instructor Eduardo Chamorro has designed an ESP32 compatible board <a href="https://gitlab.fabcloud.org/barcelonaworkshops/barduino-2.0">Barduino 2.0</a>, and I feel more confident to build on top of it rather than designing a whole new board myself, since my knowledge of electronics is still extremely limited.</li>
</ul>
<p>I also bumped into this <a href="https://randomnerdtutorials.com/esp8266-multisensor-shield/">article</a> while studying the ESP32 and ESP8266 chips, and the idea of stackable shields seemed to be what I'm looking for. To stack/connect and power the boards, I might need external power supply, JST jacks, normal pin headers/sockets and magnetic connectors. I'm considering using these sensors and actuators: HR-SC04 ultrasonic sensor, photoresistor, DHT11 temperature/humidity sensor (optional), WS2812B RGB LED strip, DC motors and A4953 H-bridge drivers, active buzzer (optional).</p>

<p>Another thing I might need to deal with is level shifting from a lower voltage to a higher voltage and vice versa. For example, the working voltage of my ESP32 board is around 3.3V and its GPIO pins are not 5V tolerant. However, all the sensors I'm going to use will only operate at 5V. I'm not sure about the required voltages of the motors yet, but I think they will be greater than 6V, up to 12V. Hence, I might need level shifters and LDO regulators for controlling the appropriate input voltages of all the components. Of course, there will be the ESP8266 chips which will be included in blocks, capacitors, resistors, diodes, switches, and LEDs for power status and debugging.</p>
<p></p>
<h5>Where will they come from?</h5>
<p>Most of the laser-cutting/3D printing/PCB milling materials and electronic components are available at Fab Lab Barcelona. Some specific modules can be ordered from <a href="amazon.es">Amazon</a>, <a href="https://www.mouser.es/">Mouser Spain</a> or <a href="https://www.digikey.es/">DigiKey</a>.</p>
<p></p>
<h5>How much will they cost?</h5>
<p>Below is just a <strong>DRAFTED</strong> bill of materials for 1 dragon and 3 blocks which resulted in <strong>~ 138€.</strong> The <code>.csv</code> file can be downloaded <a href="https://gitlab.fabcloud.org/academany/fabacademy/2020/labs/barcelona/students/tue-ngo/tree/master/assets">here.</a></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-01/fp-4.png" class="img-fluid w-100"/>
<p></p>

<h2>Challenges and evaluation criteria</h2>
<h5>What questions need to be answered?</h5>
<p>I will try to answer these questions in the upcoming classes:</p>
<ul>
<li>How can I simplify the electronic parts of the blocks in order to make them cheaper and simpler to fabricate? Is there any way I can send a unique ID of a block without having an ESP8266 board being powered, programmed, and registered?</li>
<li>What is the best strategy to manage different voltages required by different components (3.3V, 5V, 6V)? Will 6V be enough to drive a series of DC/servo motors? Can 4 micro servos or 2 DC motors move a whole dragon? Do I really need a series of small motors?</li>
<li>Will using the Wifi modules enough for all the functions I'd like to demonstrate? What could be the best way to manage the data flows? Should I simplify the main control board and add more functions to the blocks instead?</li>
<li>How will the robot help kids debug their trials? Using a speaker? LCD? LEDs? Which is the most effective way?</li>
</ul>
<p></p>

<h5>How will it be evaluated?</h5>
<p>For the Final Project prototype, it should be able to demonstrate clearly all the Input-Logic-Output combinations. It should also look clean and nice as an almost-there product. In the long run, users' feedback will be the most important way to evaluate the performance of my Final Project. In the future, it would be great if I can start a <a href="https://www.kickstarter.com/">Kickstarter</a> campaign to see whether users will support it. For now, I will be satisfied with my nephews loving it.</p>
<p></p>

<div class="container w-100 text-center py-4">
<a class="btn m-2" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-09-input-devices.html">Previous Assignment</a>
<a class="btn m-2" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-11-output-devices.html">Next Assignment</a>
</div>