---
layout: assignment
title: Invention, Intellectual Property And Income
thumb: 14.png
assignment: develop a plan for dissemination, a draft summary slide, and a presentation video of the Final Project.  
active: 1
---

<p class="font-italic font-weight-bold">* This assignment supposed to be done in the last weeks of Fab Academy, but it was re-arranged due to the COVID-19 pandemic.</p>

<p class="font-italic font-weight-bold">* The second part of the assignment is updated at the end of October, with some remaining tasks for the Final Project.</p>

<h2>Dissemination plan</h2>
<h5>Individual assignment - Develop a dissemination plan for the Final Project</h5>
<p>I joined the Fab Academy mainly to have fun by learning new things, and to get to know a community of anti-disciplinary creative technologists and makers. This documentation site or the whole Final Project will be developed as just measurements for what I've learned and practiced in terms of making resources and systems interact to each other (which is my all-time favorite topic), how much fun I have during 6 eventful months of my life, and how far I can go on my journey to explore my own potentials. Hence, I don't have the motivation to monetize this particular Final Project. However, it doesn't mean my idea is non-profitable and my findings shouldn't be disseminated to those who will use the information in practice.</p>

<h6>Dissemination platforms</h6>
<p>The targeted audience of my project are not kids but mainly parents who commit to open-source technology. I want to create a Fabable modular toy that anyone could easily reproduce or build upon it based on the available information which will be provided through open-source platforms such as <a href="https://github.com/">Github</a> or <a href="https://www.instructables.com/">Instructables</a>. Parents can easily look for the original files on Github or step-by-step instructions on Instructables, then fabricate (3D printing, laser-cutting, PCB milling, etc.) their own customized toys. They can also give feedback and contribute to the original project and share anything for free via those platforms. The ESP32 motherboard will be compatible with the Arduino IDE and many commercial external modules (sensors, displays, motors, Wifi/Bluetooth, etc. from Sparkfun, Adafruit, Elegoo, Reyes, etc.), which means it can become extremely convenient for kids and parents to create something on their own.</p>
 <img src="{{site.baseurl}}/assets/img/assignments/week-13/instructables.png" class="img-fluid w-100"/>

<p>I also believe in crowdfunding platforms as good presentation tools for disseminating information of the project as well as getting feedback from users. <a href="https://www.kickstarter.com/">Kickstarter</a>, <a href="https://www.indiegogo.com/">Indiegogo</a>, and <a href="https://thegadgetflow.com/">Gadgetflow</a> will be used for a crowdfunding campaign. Besides the basic information such as facts, key milestones, expenses, and project development plan, I will try to put many demo videos of how kids can build interactive games with the robots, ideas for DIY robots, and testimonials from well-known parents and industry experts. Social media tools such as Instagram, Youtube, and LinkedIn will also be used to promote the project.</p>
 <img src="{{site.baseurl}}/assets/img/assignments/week-13/kickstarter.png" class="img-fluid w-100"/>
 <p></p>

<h6>Licensing</h6>
<p>The entire project will be released under open-source licenses. My chosen option is the Creative Commons' license <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/deed.ml">CC BY-NC-SA 4.0</a> (Attribution-NonCommercial-ShareAlike 4.0 International License) which allows everyone to reproduce, redistribute, and adapt my original work as long as:</p>
<ul>
<li>They give appropriate credit, provide a link to the license, and indicate if changes were made.</li>
<li>They release their works under the same license.</li>
<li>They won't use the material for commercial purposes.</li>
 </ul>
 <p>One thing to bear in mind for the hardware parts is that the basic premise of a Creative Commons license is based on U.S. copyright law, meaning the license really only applies to works that can be copyrighted. Copyright doesn't apply to the hardware itself and the underlying functionality, but only to the schematic diagrams, designs, circuit or circuit-board layouts, and mechanical drawings.</p>
 <img src="{{site.baseurl}}/assets/img/assignments/week-13/cc.png" class="img-fluid w-100"/>
<p>I also put the license icon on the footer of the website.</p>
<p></p>

<h2>Project presentation</h2>
<p>I couldn't make it to finish my Final Project before the end of the Local Evaluation period. Hence, I could only prepare a draft slide and a summary video with my current footages. I hope I can finish my Final Project before the presentation in January, and update the slide and video accordingly.</p>
<img src="{{site.baseurl}}/assets/img/assignments/fp/slide.png" class="img-fluid w-100"/>
<p>Below is the draft video with my up-to-now footages. The video still needs many modifications. But I guess I met the requirements of this week's assignment.</p>
<div class="text-center">
<iframe width="640" height="480" src="https://www.youtube.com/embed/zK7G40Q-Qcg" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
<p></p>
<p>To check how the Final Project is going on and to see the final slide and video, please refer to my <a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/final-project.html">Final Project</a> page.</p>
<p></p>

<div class="container w-100 text-center py-4">
<a class="btn m-2" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-12-interface-and-application-programming.html">Previous Assignment</a>
<a class="btn m-2" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-14-networking-and-communications.html">Next Assignment</a>
</div>