---
layout: assignment
title: Molding And Casting
thumb: 16.png
assignment: design a mold, mill it, and use it to cast something (individual); to compare different molding and casting materials (in-group). 
active: 1
---
<p class="font-italic font-weight-bold">* All STL, RML, and original editable files can be downloaded <a href="https://gitlab.fabcloud.org/academany/fabacademy/2020/labs/barcelona/students/tue-ngo/tree/master/assets/img/mold">here</a>.</p>

<p class="font-italic font-weight-bold">* This week's group assignment is to read safety data sheet, test, and compare different <a href="#group">molding and casting materials.</a></p>

<p class="font-italic font-weight-bold">* I need to individually <a href="#mold">design a mold, mill it,</a> and use it to <a href="#cast">cast something.</a></p>

<h2>Understanding safety data sheets</h2>
<h5>Ferris Blue File-A-Wax</h5>
<p>As Neil said, it's better for us to skim through the data sheets of our chosen materials before designing the mold. It is common practice to mill the <a href="http://www.freemanwax.com/ferris-file-a-wax-carving-milling-waxes.html"> machinable wax</a> introduced in the Fab Barcelona documentation guide for making the positive mold. We can 3D print either the positive mold or the object itself with PLA and make the negative mold out of it, but it's not what the assignment is about. We were required to perform both casting and 3-axis milling this week.</p>
<p>Machinable wax is harder and has a higher melting temperature than most other waxes, so it can be machined, cut, or shaped using standard CNC machines. High-quality surface detail and dimensional accuracy are possible. Below is the information in the <a href="http://www.freemanwax.com/pdfs/FerrisFileAWax.pdf">technical bulletin</a> and <a href="http://www.freemanwax.com/pdfs/sdsFerrisBlue.pdf">safety data sheet</a>:</p>
<ul>
<li>Dimensions: 146 x 88 x 36mm</li>
<li>Hardness: 52D</li>
<li>Melting point: 115°C</li>
<li>Flash point (the lower the flash point, the easier it is to ignite the material): 240°C</li>
<li>Respiratory, hand, and eye protection: none required under normal product handling conditions</li>
</ul>
<p></p>

<h5>EASYL 940-FDA food-safe silicone</h5>
<p>I wanted to make a <a href="https://www.google.com/search?q=kashigata&oq=kashigata&aqs=chrome..69i57j35i39j0l3j69i60l3.1962j0j9&sourceid=chrome&ie=UTF-8">vintage Kashigata mold</a> for making Japanese sweets, hence, I specifically looked for food-safe molding materials and found this <a href="https://www.feroca.com/es/platino-adicion/718-easyl-940-fda-silicona-alimentaria-.html">EASYL 940-FDA</a> food-safe silicone at Fab Lab Barcelona. EASYL 940-FDA is a platinum silicone that has very good resistance to heat (220°C) and negligible shrinkage. The difference between tin-cure (condensation cure) and platinum-cure (addition cure) silicones lies mainly in the shrinkage of the cured rubber over the short and long term: tin-cure silicone molds generally exhibit higher shrinkage over time. EASYL 940-FDA has a very low viscosity which makes it flow very well while casting and that there are practically no bubbles. Below is the information in the <a href="https://www.feroca.com/documentos/FT_EASYL_940_FDA.pdf">technical bulletin</a> and <a href="https://www.feroca.com/documentos/HS_EASYL_940_FDA_ES.pdf">safety data sheet</a>:</p>
<ul>
<li>Hardness: 25A (the Shore A scale is used for softer rubbers while the Shore D scale is used for harder plastics)</li>
<li>Viscosity: 6,000mPas</li>
<li>Working time (time period for mixing and pouring the liquid before it starts being cured): 30 mins</li>
<li>Cure time: 3-5hrs</li>
<li>Tensile strength: 8mPas</li>
<li>High temperature resistance: 200°C</li>
<li>Exceptional fluidity, easy to mix and remove from the mold. <a href="https://www.smooth-on.com/products/ease-release-200/">Releasing agent</a> is not required.</li>
<li>Excellent air bubble release, vacuum degassing is not required.</li>
<li>Wear safety glasses, long sleeves and gloves</li>
<li>Gram scale not required for mixing parts (1A:1B by volume)</li>
<li>The liquid rubber should level off at least 1.3cm over the highest point of the model surface</li>
</ul>
<p></p>

<h5>EASYPLAT 00-40 platinum silicone</h5>
<p>I intended to use the mold for casting gelatin or other edible materials, but in order to make an extra rigid object, I considered casting resin with another mold made from another type of silicone. At Fab Lab Barcelona, we only had <a href="https://www.feroca.com/es/platino-adicion/620-easyplat-00-40-silicona-de-platino-para-moldes-.html">EASYPLAT 00-40</a> platinum silicone available. Below is the information in the <a href="https://www.feroca.com/es/index.php?controller=attachment?id_attachment=283">technical bulletin and safety data sheet</a>:</p>
<ul>
<li>Hardness: 15A</li>
<li>Viscosity: 3,000mPas</li>
<li>Working time: 30-60 mins</li>
<li>Cure time: 3-6hrs</li>
<li>Tensile strength: 4.5mPas</li>
<li><a href="https://www.smooth-on.com/products/ease-release-200/">Releasing agent</a> is required</li>
<li>Wear safety glasses, long sleeves and gloves</li>
<li>Gram scale not required for mixing parts (1A:1B by volume)</li>
<li>The liquid rubber should level off at least 1.3cm over the highest point of the model surface</li>
</ul>
<p></p>

<h5>Smooth-Cast 327 urethane resin</h5>
<p>As for the extra object, I fancy a clear resin since I intended to put a flower inside the model like the below image (rendered in Blender, flower added in Photoshop). We had epoxy resin at the lab but we didn't have 1000 things to cast within 3 months after opening the cans, so I moved forward with buying <a href="https://www.smooth-on.com/products/smooth-cast-327/">Smooth-Cast 327</a> urethane resin. I also didn't want to deal with pouring sections thinner than 0.95cm or apply <a href="https://www.epoxyworks.com/index.php/controlling-exotherm/">exothermic reaction controlling techniques</a> while dealing with epoxy resin, so it could be a good choice.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/resin-1.png" class="img-fluid w-100"/>
<p>Most of Smooth-On's clear resins are quite toxic and may cause skin and eye irritation, and can be harmful if inhaled. Below is the information in the <a href="http://www.smooth-on.com/tb/files/SMOOTHCAST_325_326_327_COMBO_TB.pdf">technical bulletin</a> and <a href="http://www.smooth-on.com/msds/files/449A_1_449B_1.pdf">safety data sheet</a>:</p>
<ul>
<li>Hardness: 72D</li>
<li>Viscosity: 100cPs</li>
<li>Working time: 10-20 mins</li>
<li>Cure time: 2-4hrs</li>
<li>Tensile strength: 3,170psi</li>
<li>Flexural strength: 3,100psi</li>
<li>Compressive strength: 3,080psi</li>
<li>Gram scale not required for mixing parts (1A:1B by volume)</li>
<li><a href="https://www.smooth-on.com/products/ease-release-200/">Releasing agent</a> is required</li>
<li>Wear safety glasses, mask, long sleeves and rubber gloves</li>
<li>Wash skin thoroughly after handling</li>
<li>Avoid breathing dust/fume/gas/mist/vapors/spray</li>
<li>Do not eat, drink or smoke when using</li>
<li>Do not use foam or glass mixing containers since the resin generates heat</li>
</ul>
<p></p>

<h5>Acrystal Prima acrylic resin</h5>
<p>Our instructor Eduardo suggested me to try the acrylic resin from Feroca called <a href="https://www.feroca.com/es/resinas-acrilicas/60-acrystal-prima-polvo-emulsion-acrilica.html">Acrystal Prima</a>. Acrystal Prima is an easy-to-use, solvent-free acrylic resin composed of an acrylic emulsion (part B) and a crystal-based powder (part A). It is non-toxic, odorless, and has minimal exotherm. Below is the information in the <a href="https://acrystal.pagesperso-orange.fr/Open%20fiche/FP%20prima%20es.pdf">technical bulletin</a> and <a href="https://www.feroca.com/es/index.php?controller=attachment?id_attachment=425">safety data sheet</a>:</p>
<ul>
<li>Hardness: 83D</li>
<li>Mixed density: 1,730 kg/m3</li>
<li>Dry density: 1,730 kg/m3</li>
<li>Working time: 8-10 mins</li>
<li>Cure time: 1.5hrs</li>
<li><a href="https://www.feroca.com/es/resinas-acrilicas/83-retardante-acrystal.html#more_info_tab_more_info">Retardant</a> is recommended to increase the working time</li>
<li>Wear safety glasses, long sleeves and gloves</li>
<li>Gram scale required for mixing parts (2.5A:1B by weight)</li>
</ul>
<p></p>

<h5>FOAM-iT! 4 expanding foam</h5>
<p>Eduardo also suggested me to cast with the Smooth-On's <a href="https://www.smooth-on.com/products/foam-it-4/">FOAM-iT! 4</a> expanding foam. Aa per its name, it is expanding water-blown polyurethane foam which is easy-to-use and cures rigid and strong. FOAM‑iT! 4 means the foam will expand approximately 14 times its original volume. Below is the information in the <a href="http://www.smooth-on.com/tb/files/FOAM-IT_SERIES_TB.pdf">technical bulletin</a> and <a href="http://www.smooth-on.com/msds/files/Foam-it_4_5.pdf">safety data sheet</a>:</p>
<ul>
<li>Mixed viscosity: 300cPs</li>
<li>Expansion: 14 times</li>
<li>Working time: 1.5 mins</li>
<li>Cure time: 2hrs</li>
<li><a href="https://www.smooth-on.com/products/ease-release-200/">Releasing agent</a> is strongly required</li>
<li>Wear safety glasses, long sleeves and gloves</li>
<li>Gram scale not required for mixing parts (1A:1B by volume)</li>
</ul>
<p></p>

<h2>Molding</h2>
<h5 id="mold">Individual assignment - Design and mill the positive mold</h5>
<h6>Designing with OpenSCAD</h6>
<p>Molding and casting involve covering the object we want to copy in a material which will then become firm enough to be detached from it and keep its shape (the negative mold) so that a hollow space or negative of it can then be filled with a casting material to make an exact replica of the shape. As mentioned above, I want to make a Kashigata mold for making Wagashi sweets. Since I made a personal challenge to myself that I should design most of my assignments with OpenSCAD, I searched online whether someone did molding design with OpenSCAD and found <a href="https://jasonwebb.io/2012/11/parametric-3d-printable-two-part-mold-generator-for-openscad-available-on-thingiverse/">this guy.</a> The guy also uploaded a <code>.scad</code> file for generating 2-part negative mold <a href="https://www.thingiverse.com/thing:31581">here</a>, but since I had to modify many details if I was going to use it, I rewrote a simpler script. The molding and casting general workflow is to create a positive mold in machinable wax, then create a negative mold in silicone from it, then use another kind of silicone or resin to create a positive object at the end. Hence, I designed in a reversed process: to design the object (a flower-shaped cake) first, then the negative mold, then the positive mold.</p>

<img src="{{site.baseurl}}/assets/img/assignments/week-15/openscad-1.png" class="img-fluid w-100"/>
<p>The cake was designed by performing the <code>hull()</code> function multiple times. The <code>hull()</code> function displays the convex hull of a vertical cylinder and a horizontal cylinder. Below is the 3D model of the cake on Sketchfab:</p>
<div class="sketchfab-embed-wrapper text-center">
    <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/739e68101eee45ae9a74e7394160bead/embed?preload=1&amp;ui_controls=1&amp;ui_infos=1&amp;ui_inspector=1&amp;ui_stop=1&amp;ui_watermark=1&amp;ui_watermark_link=1" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</div>
<p></p>
<p>I created the negative mold by performing the <code>difference()</code> function to subtract the object from the mold. As per the data sheet, I added an extra 1.3cm from the highest point of the model. Here I also have keys for centering 2 parts of the negative mold and a pouring hole where I could pour resin and put the flower into it later:</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/openscad-2.png" class="img-fluid w-100"/>
<p>After generating the CAM files, I realized I made a mistake: I didn't model air vents for letting the air coming out while pouring resin. At this point, I certainly didn't want to go through the process once again. Silicone molds are cuttable, so I decided to cut them later with a knife (if necessary).</p>
<p>Below is the 3D model of the negative mold on Sketchfab:</p>
<div class="sketchfab-embed-wrapper text-center">
    <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/8ff435562bc24c7bb30fc9a61a849e60/embed?preload=1&amp;ui_controls=1&amp;ui_infos=1&amp;ui_inspector=1&amp;ui_stop=1&amp;ui_watermark=1&amp;ui_watermark_link=1" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</div>
<p></p>
<p>Lastly, I generated a positive mold from the negative mold with the same <code>difference()</code> function. A small step surrounding the entire mold was added in order to make the extraction of the negative mold easier without using a knife and damaging the mold.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/openscad-3.png" class="img-fluid w-100"/>
<p>Below is the 3D model of the positive mold on Sketchfab which was exported to <code>.stl</code> and imported to Fab Modules:</p>
<div class="sketchfab-embed-wrapper text-center">
    <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/9217d661eaae401a8a4d97a2e6a1b9b3/embed?preload=1&amp;ui_controls=1&amp;ui_infos=1&amp;ui_inspector=1&amp;ui_stop=1&amp;ui_watermark=1&amp;ui_watermark_link=1" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</div>
<p></p>
<h6>Generating toolpath with Fab Modules</h6>
<p>I prepared the <code>.rml</code> files using Fab Modules. The workflow was similar to the 2-axis milling process:</p>
<ul>
<li>Select <code>.stl</code> input format and load the <code>.stl</code> mesh</li>
<li>Modify the <strong>units/in</strong> to <i>25.4</i> and <strong>dpi</strong> to <i>500</i>, then calculate the height map</li>
<li>Select <code>.rml</code> output format</li>
<li>Select the proper process: <i>wax rough cut (1/8)</i> or <i>wax finish cut (1/8)</i></li>
<li>Select <i>SRM-20</i> in the output machine. Modify settings to origin 0,0,0 (x,y,z), <strong>zjog=12mm</strong> and home 0,0,12 (x,y,z).</li>
<li>Choose the right end mill type, <strong>tool diameter</strong>, <strong>offset overlap</strong>, and <strong>tool overlap</strong> settings for each process (details will be mentioned below)</li>
<li>Click the <strong>calculate</strong> button to calculate the toolpath and click the <strong>save</strong> button to save the <code>.rml</code> file.</li>
</ul>
<p>When I tried to import the <code>.stl</code> file into Fab Modules, it complained that the file must be a binary STL file (the file exported from OpenSCAD was an ASCII STL file). Hence, I needed to import the ASCII STL file into Blender, and then exported a binary STL file. What a weird process, but it was helpful at the moment.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/blender.png" class="img-fluid w-100"/>
<p>Remember to modify the size of the mesh and resolution to make sure that the dimensions of the machinable wax are correct:</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/cam-1.png" class="img-fluid w-100"/>
<p>The next step was generating toolpaths for the rough milling process. Rough cutting is the process of removing large parts of material. I kept the default settings by using the <i>3.175mm flat-end mill</i> and <i>50%</i> offset overlap. This was such a slow process, I could watch a full episode of <a href="https://www.netflix.com/title/80192098">Money Heist</a> while waiting for the process to end.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/cam-2.png" class="img-fluid w-100"/>
<p>Once the rough milling CAM process finished, I continued with generating toolpaths for the finish milling process. I chose <i>3.175mm ball-end mill</i> and <i>90%</i> tool overlap this time for a smoother finish.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/cam-3.png" class="img-fluid w-100"/>
<p></p>
<h6>Milling the positive mold</h6>
<p>I used my PCB-milling buddy <a href="https://www.rolanddga.com/es/productos/3d/srm-20-fresadora-compacta">Roland MonoFab SRM-20</a> to mill the positive mold. The process of setting up the machine was similar to what I did during <a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-04-electronics-production.html">the 4th week</a>. I chose the correct milling bit for each milling process: the <strong>3.175mm flat-end mill</strong> for the roughing process and the <strong>3.175mm ball-end mill</strong> for the finishing process. Below are the videos recording the 2 processes:</p>
<div class="text-center">
<iframe width="640" height="480" src="https://www.youtube.com/embed/_Pqz5wP2AG4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
<p></p>
<div class="text-center">
<iframe width="640" height="480" src="https://www.youtube.com/embed/0nLNyZLBuGM" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
<p></p>
<p>Rough cut is basically a process of removing large parts of material. The "roughed" mold came out neat:</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/mill-1.jpg" class="img-fluid w-100"/>
<p>Finish cut is the process of making the surface better with the delicate ball-end mill. There were some parts where the 3.175mm tool could not get through, especially the edges of the model and the corners, which means the rubber mold would have thin walls and there would be possibilities of leaking. If I could do it again, I would use a smaller ball-end mill for better details of the corners and edges. But in this case, I didn't have to do that to have a castable negative mold.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/mill-2.jpg" class="img-fluid w-100"/>
<p></p>

<h2 id="cast">Casting</h2>
<h5>Individual assignment - Cast the negative molds</h5>
<p>Materials for molding and casting are supplied in two liquid parts which when combined in the right proportion will start to harden. The most effective and most used flexible molding material today is silicone/rubber. When liquid fills a shape it will push the lighter air upwards and out. Air can become trapped in parts of a complicated shape, meaning that the casting material will not be able to fill those parts. The simplest and often the most effective solution is to give air extra means of escape by creating little channels in the mold (which I didn't include in my design). In order to make up for these missing air vents, I added a cylinder-shaped piece of a cotton swab. Then I sprayed the releasing agent all over the wax mold at a 20cm distance. This could help to make it easier to remove the negative mold from the wax mold.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/silicone-0.jpg" class="img-fluid w-100"/>
<p>In order to measure the necessary amount of liquid needed, I poured water into the wax mold and added up the number a bit to know the needed mass of silicone. In my case, I needed ~120ml of water to fill the wax mold, so I mixed 150ml silicone (1A:1B) in total. I started with the normal EASYPLAT 00-40 platinum silicone, and the mixture was so liquid that I could mix it super thoroughly. After 3 minutes, I proceeded with casting the negative mold, as I didn't see any air bubbles. The following video shows how I did it with Josep's voice over:</p>
<div class="text-center">
<iframe width="640" height="480" src="https://www.youtube.com/embed/PZPh16bGAEA" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
<p></p>
<p>Time to let my mold cure. I left it in the oven at 80°C since I was told it would fasten the curing process.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/silicone-1.jpg" class="img-fluid w-100"/>
<p>After 45 minutes, my mold had completely hardened. I repeated the whole above process to make the other half, then I continued with the food-safe silicone. A much higher viscosity, an insignificant amount of bubbles, and more fatigue in the hands. Ready to cast objects!</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/silicone-2.jpg" class="img-fluid w-100"/>
<p></p>
<h5>Individual assignment - Cast an object with the designed mold</h5>
<h6>Casting gelatin</h6>
<p>Personally, I prefer the food-safe mold than the other one, because it is harder and sturdier. Hence, I cast gelatin with it first, then I could work with other materials. I had to wrap the mold very well with duck tape and used a hot glue gun to make sure the very liquid gelatin solution wouldn't leak out. I poured <i>mucho mas</i> gelatin all the way up to the top of the pouring hole. In the end, the result was just perfect. Lucky me!</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/gelatin-1.jpg" class="img-fluid w-100"/>
<p>I used blueberry gelatin and the blue color was super lovely! In order to make the result harder, I put too little water in the gelatin mixture. I guess that's why my "wagashi" was broken inside.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/gelatin-2.jpg" class="img-fluid w-100"/>
<p></p>
<h6>Casting Acrystal Prima acrylic resin</h6>
<p>For the next try, I used the EASYPLAT 00-40 mold to cast the Acrystal resin. This mold is a lot thinner than the food-safe one, therefore I had to use 2 plywood pieces to straighten it up. These plywood pieces also helped a lot in reducing the leak out. I used these 2 pieces of plywood in the next castings.</p>
<p>I ran into a lot of problems when casting the Acrystal resin, namely:</p>
<ul>
<li>Mixing a ratio of 2.5 powder: 1 liquid was very tricky. The amount of liquid was too small for mixing the powder throughoutly. During the first mixing, the mixture had already cured when I was able to mix the powder and the liquid well.</li>
<li>I increased the amount of liquid, but this also caused the mixture to harden very quickly, even before I could pour it into the mold.</li>
<li>For the third mixing, I used the recommended ratio 2.5A:1B and mixed them a bit carelessly. The mixture was too thick to pour smoothly through the pouring hole. It even filled up the air vent.</li>
</ul>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/acrylic-1.jpg" class="img-fluid w-100"/>
<p>I reviewed the technical bulletin of Acrystal resin to see what I did wrong compared to the instructions. I noticed they used the retardant to increase working time and slow down the hardening process. They also used tools to mix, which could be another reason why they could make it. In the end, I decided to use only 1 half of the negative mold to cast a half "wagashi". The finished object looked really nice, the consistency of the mixture minimized the bubbles. The details were also sharp. Still, I needed to cast the double-sided object!</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/acrylic-2.jpg" class="img-fluid w-100"/>
<p></p>
<h6>Casting FOAM-iT! 4 expanding foam</h6>
<p>I continued to cast the expanding foam with the food-safe mold. Since the mixture would expand up to 14 times its original volume, I only used a little amount (~5ml) for both parts A and B. Yet I also have much leftover.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/foam-1.jpg" class="img-fluid w-100"/>
<p>Nothing much to say about casting foam, the result looked very good as well. The foam expanded over the gap between the 2 halves of the mold, but this excess could be removed easily with scissors. I really liked the feeling when I knocked on the object, and the sound was very funny.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/foam-2.jpg" class="img-fluid w-100"/>
<p></p>
<h6>Casting Smooth-Cast 327 urethane resin</h6>
<p>Even the thinnest polyurethane resins are somewhat thicker, so they may bring air bubbles with them. I had never had to use any vacuum degassing technique until now. To cast the Smooth-Cast 327 urethane resin, I could finally use the vacuum chamber to minimize bubbles in the liquid silicone. Josep and David helped me a lot in setting up the chamber.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/resin-0.jpg" class="img-fluid w-100"/>
<p>After around 3 times of repeating the degassing process, I poured the mixture into the mold. It looked pretty clear and had few air bubbles. Josep also told me to bang on the surface for better degassing.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/resin-1.jpg" class="img-fluid w-100"/>
<p>After 1 night, I removed the object from the mold. The result was looking great with sharp details. There were still a lot of air bubbles but I was already satisfied.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/resin-2.jpg" class="img-fluid w-100"/>
<p></p>

<h5 id="group">Group assignment - Compare molds and casts</h5>
<p>It was not an easy task to gather people during the pandemic, even after the lockdown. After talking with our instructors, I decided to work on this group assignment by myself. I had cast with different materials anyway, so I guess I achieved the requirements of this group assignment.</p>
<h6>Comparing silicones</h6>
<p>I was really impressed with the food-safe mold. It was stiff and stable with minimized gaps between 2 halves of the mold. Details of the food-safe mold also looked a lot sharper, while the normal mold had poorer quality. However, the EASYPLAT 00-40 silicone has a lower viscosity and excellent air bubble release that made the mixing process faster and easier.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/silicone-4.jpg" class="img-fluid w-100"/>
<p></p>
<h6>Comparing resins and foams</h6>
<p>The 3 finished objects were all lovely. Under good lighting conditions, the air bubbles of the urethane resin object were easier to be seen, but the clear amber color was nice. It best represented my original intention. I also really liked the surface of the acrylic resin object, it would be great if I can cast the full double-sided object with this material. I was looking forward to a more rigid result, so foam casting probably wasn't my goal this week.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-15/hero.jpg" class="img-fluid w-100"/>
<p>I think polyurethane resins are the best options for casting small, delicate or highly detailed forms. Acrylic resin is a better option for casting bulkier forms or faster hardening time. Acrylic resin is also considered extremely weatherproof and this makes it ideal for outdoor applications. Acrylic resin didn't yellow when exposed to sunlight, while the surface of the foam was destroyed and the polyurethane resin yellowed quickly.</p>
<p></p>
<h6>What I personally learned:</h6>
<ul>
<li>The thicker the walls of the negative mold, the better: leave more spaces from the highest point as well as the edges of the model</li>
<li>Make the thinnest thread possible while pouring material, and design the pouring holes and the air vents as big as possible</li>
<li>In order to minimize bubbles, pour silicone-upon-silicone, layer-by-layer instead of pouring the mixture all over the surface of the wax mold</li>
<li>For casting double-sided objects, harder silicones and casting materials with lower consistency are recommended</li>
</ul>
<p></p>

<h2>Conclusion</h2>
<p>I was looking for ways how to make some parts of my Final Project compatible with this assignment, for example, the tongue of the dragon. In the end, I realized the process was a bit complicated and I should move forward with another option. But this week was still really interesting! It’s true that molding and casting can require quite a time-investment as well as patience, planning, and a methodical approach.</p>
<p></p>

<div class="container w-100 text-center py-4">
<a class="btn m-2" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-14-networking-and-communications.html">Previous Assignment</a>
<a class="btn m-2" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-16-wildcard-week.html">Next Assignment</a>
</div>
