---
layout: assignment
title: Project Development
thumb: 19.png
assignment: complete the Final Project and track the progress by answering some key questions. 
active: 1
---
<p class="font-italic font-weight-bold">* This assignment will only update what I had until the end of the August break.</p>

<p class="font-italic font-weight-bold">* To check how the Final Project is going on, please refer to my <a href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/final-project.html">Final Project</a> page.</p>

<h2>Tracking progress</h2>
<h5>Completed tasks</h5>
<p>This assignment supposed to be done as a milestone to track progress during the last weeks of the Fab Academy, but I was late for the presentation in July, and I had to finish everything at once during August and September. At the end of August, all electronics and CAD tasks were completed. I couldn't make it to fabricate the casing for my Final Project, hence, there were still many things to make, to debug and to improve. Let's go through all the completed tasks.</p>

<h6>Electronics design</h6>
<p>Electronics was the first thing I did for my Final Project. My idea was that if I could make all parts work well together, I could get rid of many potential issues regarding electrical connectivity as well as dimensions of boards and components. All boards were designed as weekly assignments, and I had a chance to test them all.</p>
<strong>ESP32 main control board</strong>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-09/kicad-5.png" class="img-fluid w-100"/>
<p></p>
<strong>ESP32 sensor shield</strong>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-09/pcb-sensor.png" class="img-fluid w-100"/>
<p></p>
<strong>ESP32 motor shield</strong>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-11/pcb-motor.png" class="img-fluid w-100"/>
<p></p>
<strong>ESP8266 boards</strong>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-14/pcb-io.png" class="img-fluid w-100"/>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-14/pcb-motor.png" class="img-fluid w-100"/>
<p></p> 
<h6>Electronics production</h6>
<p>I spent almost 1.5 weeks milling and soldering all the PCBs. I made only 1 ESP32 main board, 1 sensor shield, 1 motor shield, and 1 ESP8266 board. I could test all the functions and debug all issues with these boards first.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-09/mill-1.jpg" class="img-fluid w-100"/>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-09/mill-2.jpg" class="img-fluid w-100"/>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/week-11/mill-1.png" class="img-fluid w-100"/>
<p>At the end, it was super satisfied to see this <i>BIG MAC</i> of PCBs:</p>
<div class="text-center">
<iframe width="640" height="360" src="https://www.youtube.com/embed/_krMG-EDa98" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
<p></p> 
<p>I made small extra boards with the footprints of the connectors, and the design was quickly done in Illustrator. The connectors will be soldered onto these boards, and there are also holes connected to the I2C headers of the ESP8266 boards.</p>
<img src="{{site.baseurl}}/assets/img/assignments/week-14/mill-2.jpg" class="img-fluid w-100"/>
<p></p>

<h6>Computer-aided design</h6>
<p>Everything was designed in Fusion 360. I intended to design the head and the tail in Blender, but then I changed my mind since I didn't want to exchange files between CAD programs. The final design looks a bit "robotic", but I indeed think it looks better and is easier to fabricate.</p>
<strong>Press-fit laser-cut blocks</strong>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/fp/cad-2.png" class="img-fluid w-100"/>
<p></p>
<strong>3D-printed head and tail</strong>
<p></p>
<img src="{{site.baseurl}}/assets/img/assignments/fp/cad-5.png" class="img-fluid w-100"/>
<p></p> 

<h6>Embedded programming</h6>
<p>I was also able to write programs for the boards, except for the networking parts. Everything worked totally fine, which means the original concept was proved. The programs were long but simple though!</p> 
<img src="{{site.baseurl}}/assets/img/assignments/fp/ss-code.png" class="img-fluid w-100"/>
<p></p> 

<h5>Remaining tasks</h5>
<p>There were still so many things left to do for September, namely:</p>
<ul>
<li>Testing the kerf of the 4mm acrylic I bought, and cutting all the press-fit blocks</li>
<li>3D-printing the head, tail, and DC adapters of the dragon</li>
<li>Assembling all 3D-printed and laser-cut parts together, including gluing magnets onto the blocks, soldering the spring connectors onto the connector boards, and wiring all the electronics inside</li>
<li>I still had 1 problem to fix with the electronics part: choosing the right 9V +1000mA battery and making everything work without using the DC power supply</li>
<li>Writing and debugging the networking part of the code: it could be I2C communication or ESP-NOW communication over WiFi</li>
</ul>
<p></p>

<h2>Successes and failures</h2>
<h5>Successes</h5>
<p>Generally, I am quite OK with what I had until this moment. Some successes I can see:</p>
<ul>
<li>The electronic parts will be something for me to be proud of. I personally really really fancy the idea of 3-layer PCBs, and since I was totally a newbie before the Fab Academy, I feel so happy about being able to make them all myself and facing only a few problems. The boards also look super pretty!</li>
<li>Although the programming part has not been finished and I still feel that it could be improved to be neater, I was still quite happy with how it is written.</li>
</ul>
<p></p>
<h5>Failures</h5>
<p>Some failures I can see and points to be solved:</p>
<ul>
<li>Project management would be my biggest failure. At this point, I knew that there would be so many things I couldn't finish for my MVP, for example: multiple blocks (I was going to make only 3 blocks and I'd change the IDs to test different scenarios), multiple ESP8266 boards (since making all the boards was exhausting, I was going to send all the IDs using a single ESP8266 board instead of many-to-one communication), and the user interface.</li>
<li>My baby dragon is a bit too big in size. The main ESP32 board and its shields could be designed a bit better to make them smaller, and then the blocks' dimensions can be reduced. I also wish that I could have more time to fabricate all boards and blocks separately.</li>
</ul>
<p></p>

<h2>Learning outcomes</h2>
<p>The 6 months of Fab Academy could be considered as the best 6 months of my long-life learning journey. I've learned more than ever, and now I can consider myself as a real tech-maker! It's really not easy to conclude everything I've learned within a few lines, but here we go:</p>
<ul>
<li>I've learned electronics. I literally know nothing about electronics before joining the Fab Academy, and now I can read sensors, I can drive actuators, I can make devices talking to each other, and many more!</li>
<li>I've learned how to use machines. I was not really confident at controlling even household appliances before, and now I find these tasks really cool and interesting.</li>
<li>It was lovely to see how dots are connected, gaps are filled, and knowledge from all fields come together to bring something (a dragon) into life. I do feel that I became someone who can use technology to serve my own purposes, and that is one of the best feelings, isn't it?</li>
</ul>
<p></p>

<div class="container w-100 text-center py-4">
<a class="btn m-2" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/students/tue-ngo/assignments/week-17-mechanical-and-machine-design.html">Previous Assignment</a>
<a class="btn m-2 btn-inactive" href="#">Next Assignment</a>
</div>